﻿<UserControl x:Class="CG_Lab3.Pages.ColorModels"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:ViewModels="clr-namespace:CG_Lab3.ViewModels"
             xmlns:Converters="clr-namespace:CG_Lab3.Converters"
             d:DataContext="{d:DesignInstance ViewModels:DataViewModel, IsDesignTimeCreatable=True}"
             xmlns:local="clr-namespace:CG_Lab3.Pages"
             mc:Ignorable="d" d:DesignWidth="800" d:DesignHeight="600">
    <UserControl.Resources>
        <Converters:RadioBoolToIntConverter x:Key="RadioBoolToIntConverter"/>
    </UserControl.Resources>
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="100*"/>
            <RowDefinition Height="150*"/>
            <RowDefinition Height="150*"/>
        </Grid.RowDefinitions>

        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="150*"/>
            <ColumnDefinition Width="300*"/>
        </Grid.ColumnDefinitions>
        
        <Border Grid.Column="0" Grid.Row="0" BorderBrush="#090E12" CornerRadius="18" BorderThickness="3" Background="#090E12" Margin="15, 15, 15, 0" Padding="5">
            <StackPanel Orientation="Horizontal" HorizontalAlignment="Center" VerticalAlignment="Center" DataContext="{Binding ColorsViewModel}">
                <TextBox Style="{StaticResource MyTextBox}" Width="120" Height="30" Margin="0, 0, 10, 0" Text="{Binding FilePath}" IsReadOnly="True"/>
                <Button Style="{StaticResource MyButton}" Command="{Binding BrowseImageCommand}" Width="80" Height="30">Browse</Button>
            </StackPanel>
        </Border>

        <Border Grid.Column="0" Grid.Row="1" BorderBrush="#090E12" CornerRadius="18" BorderThickness="3" Background="#090E12" Margin="15, 15, 15, 0" Padding="5">
            <StackPanel Orientation="Vertical" VerticalAlignment="Center" HorizontalAlignment="Center">
                <TextBlock HorizontalAlignment="Center" FontFamily="Calibri" FontSize="24"> <Bold> For red color: </Bold></TextBlock>
                <StackPanel Orientation="Horizontal" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="10, 15, 0, 0">
                    <TextBlock HorizontalAlignment="Center" VerticalAlignment="Center" FontFamily="Calibri" FontSize="16"> <Bold> S: </Bold></TextBlock>
                    <Slider x:Name="SaturationSlider" 
                        Style="{StaticResource Horizontal_Slider}" 
                        Margin="0, 0, 0, 0" 
                        Width="200"
                        IsSnapToTickEnabled="True" 
                        TickFrequency="1" Minimum="-100" Maximum="100" 
                        DataContext="{Binding ColorsViewModel}"
                        Value="{Binding Saturation}"/>
                </StackPanel>
                <StackPanel Orientation="Horizontal" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="10, 15, 0, 0">
                    <TextBlock HorizontalAlignment="Center" VerticalAlignment="Center" FontFamily="Calibri" FontSize="16"> <Bold> V: </Bold></TextBlock>
                    <Slider x:Name="BrightnessSlider" 
                        Style="{StaticResource Horizontal_Slider}" 
                        Margin="0, 0, 0, 0" 
                        Width="200"
                        IsSnapToTickEnabled="True" 
                        TickFrequency="1" Minimum="-100" Maximum="100" 
                        DataContext="{Binding ColorsViewModel}"
                        Value="{Binding Value}"/>
                </StackPanel>
            </StackPanel>
        </Border>

        <Border Grid.Column="0" Grid.Row="2" BorderBrush="#090E12" CornerRadius="18" BorderThickness="3" Background="#090E12" Margin="15" Padding="5">
            <StackPanel DataContext="{Binding ColorsViewModel}" VerticalAlignment="Center">
                <TextBlock HorizontalAlignment="Center" VerticalAlignment="Center" FontFamily="Calibri" FontSize="24"><Bold> Half of image: </Bold></TextBlock>
                <StackPanel Orientation="Horizontal" HorizontalAlignment="Center" Margin="0, 10, 0, 0">
                    <RadioButton Style="{StaticResource MyRadioButton}" 
                                 IsChecked="{Binding Path=HalfOfImage, Converter={StaticResource RadioBoolToIntConverter}, ConverterParameter=1}" 
                                 Margin="0, 0, 20, 0"
                                 >Yes</RadioButton>
                    <RadioButton Style="{StaticResource MyRadioButton}"
                                 IsChecked="{Binding Path=HalfOfImage, Converter={StaticResource RadioBoolToIntConverter}, ConverterParameter=0}"
                                 >No</RadioButton>
                </StackPanel>
            </StackPanel>

        </Border>

        <Border Grid.Column="1" Grid.RowSpan="3" BorderBrush="#090E12" CornerRadius="18" BorderThickness="3" Background="#090E12" Margin="0, 15, 15, 15" Padding="5">
            <StackPanel HorizontalAlignment="Center" Background="#090E12">
                <TextBlock HorizontalAlignment="Center" FontFamily="Calibri" FontSize="24" Text="image.png" />
                <Image Name="FractalImage" Height="350" Width="350" Source="{Binding ColorsViewModel.Image}" Margin="0, 10, 0, 0"/>
                <StackPanel Orientation="Horizontal" HorizontalAlignment="Center" DataContext="{Binding ColorsViewModel}">
                    <Button Style="{StaticResource MyButton}" Height="30" Width="100" Margin="15"
                            Command="{Binding ChangeImageCommand}">Build</Button>
                    <Button Style="{StaticResource MyButton}" Height="30" Width="100" Margin="15">Save to file</Button>
                </StackPanel>
            </StackPanel>
        </Border>

    </Grid>
</UserControl>
